using System;
using System.Collections;
using System.ComponentModel;
using DevExpress.XtraReports.UI;
using BeWo.Report.ReportObjects;
using BeWo.Report;

namespace BeWo.SKFAlsdorf
{
    public partial class Stundenzettel : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<ServicesOverviewRO>
    {
        public Stundenzettel()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServicesOverviewRO pRO)
        {
			if (pRO.CostBearer2SupportConceptList.Count > 0)
			{
				var c2s = pRO.CostBearer2SupportConceptList[0];

				lblApprovalDate.Text = String.Format("{0:dd.MM.yyyy}",
					c2s.SupportConcept.ApprovalDate);

				if (String.IsNullOrEmpty(pRO.ApprovedStartDate))
				{
					pRO.ApprovedStartDate = pRO.RequestedStartDate;
				}
				if (String.IsNullOrEmpty(pRO.ApprovedEndDate))
				{
					pRO.ApprovedEndDate = pRO.RequestedEndDate;
				}
			}
            this.bindingSource1.DataSource = pRO;
        }
    }
}
